[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCustomSQLStatement.RowsAffected

Number of rows affected by the SQL statement.

## Declaration

Source position: sqldb.pp line 427

`public function TCustomSQLStatement.RowsAffected: TRowsCount; virtual;`

## Function result

The number of affected rows by the last executed SQL command.

## Description

RowsAffected is set to the number of affected rows after Execute was called. Not all databases may support this.

## See also

TCustomSQLStatement.Execute |  | Execute the SQL statement.